
Ryzom - Bug # 1374

Status: Closed Priority: High
Author: kervala Category: Client: General
Created: 10/14/2011 Assignee: sfb
Updated: 09/30/2012 Due date:
Subject: Crash when launching Ryzom Ring
Description

When I should enter the Ring after loading, I got this error :

Program received signal SIGSEGV, Segmentation fault.
ucstring::toUtf8 (this=<optimized out>)
    at /home/kervala/ryzom/code/nel/include/nel/misc/ucstring.h:157
157                if (*first < 0x80)
(gdb) bt
#0  ucstring::toUtf8 (this=<optimized out>)
    at /home/kervala/ryzom/code/nel/include/nel/misc/ucstring.h:157
#1  0x0000000000c31629 in invoke_member<std::basic_string<char> (ucstring::*)() const,
boost::mpl::vector2<std::basic_string<char>, ucstring const&>, luabind::detail::null_type> (f=@0xa9a6ac0, ctx=..., self=...,
L=0xffc2d20)
    at /usr/include/luabind/detail/call.hpp:283
#2  invoke0<std::basic_string<char> (ucstring::*)() const, boost::mpl::vector2<std::basic_string<char>, ucstring const&>,
luabind::detail::null_type, boost::is_void<std::basic_string<char> > > (policies=..., f=@0xa9a6ac0, ctx=..., 
    self=..., L=0xffc2d20) at /usr/include/luabind/detail/call.hpp:78
#3  invoke<std::basic_string<char> (ucstring::*)() const, boost::mpl::vector2<std::basic_string<char>, ucstring const&>,
luabind::detail::null_type> (
    policies=..., f=@0xa9a6ac0, ctx=..., self=..., L=0xffc2d20)
    at /usr/include/luabind/detail/call.hpp:101
#4  luabind::detail::function_object_impl<std::string (ucstring::*)() const, boost::mpl::vector2<std::string, ucstring const&>,
luabind::detail::null_type>::entry_point (L=0xffc2d20) at /usr/include/luabind/make_function.hpp:63
#5  0x00007ffff78601dc in ?? () from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#6  0x00007ffff786ad08 in ?? () from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#7  0x00007ffff78605ed in ?? () from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#8  0x00007ffff785f877 in ?? () from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#9  0x00007ffff78607a2 in ?? () from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#10 0x00007ffff785c301 in lua_pcall ()
   from /usr/lib/x86_64-linux-gnu/liblua5.1.so.0
#11 0x0000000000d14eb8 in pcall (errfunc=0, nresults=0, nargs=0, 
    this=<optimized out>)
    at /home/kervala/ryzom/code/ryzom/client/src/interface_v3/lua_helper_inline.h:462
#12 CLuaState::executeScriptInternal (this=<optimized out>, code=..., 
    dbgSrc=..., numRet=0)
    at /home/kervala/ryzom/code/ryzom/client/src/interface_v3/lua_helper.cpp:355
#13 0x0000000000d15095 in CLuaState::executeFile (this=0xea79710, pathName=...)
    at /home/kervala/ryzom/code/ryzom/client/src/interface_v3/lua_helper.cpp:423
#14 0x0000000000f7b20f in R2::CEditor::doLuaScript (this=<optimized out>, 
    filename=0x1a6a671 "r2_core.lua", 
    fileDescText=0x1a694a0 "r2ed common functions and definitions")
    at /home/kervala/ryzom/code/ryzom/client/src/r2/editor.cpp:4410
#15 0x0000000000f95243 in R2::CEditor::init (this=0x5939d00, 
    initialMode=R2::CEditor::EditionMode, accessMode=R2::CEditor::AccessEditor)
    at /home/kervala/ryzom/code/ryzom/client/src/r2/editor.cpp:2659
#16 0x0000000000f95e61 in R2::CEditor::autoConfigInit (this=0x5939d00, 
    serverIsRingSession=<optimized out>)
    at /home/kervala/ryzom/code/ryzom/client/src/r2/editor.cpp:362
#17 0x0000000000a71859 in mainLoop ()
    at /home/kervala/ryzom/code/ryzom/client/src/main_loop.cpp:1495
#18 0x000000000087f077 in main (argc=<optimized out>, argv=<optimized out>)
    at /home/kervala/ryzom/code/ryzom/client/src/client.cpp:618

Value for "this" is not displayed but I suspect it's NULL, because to a lua string being set to nil.

History
#1 - 11/02/2011 05:11 am - arc

Neither hosting nor joining ring scenarios works on linux (ubuntu 11.04) or mac os (10.6), since the error is fatal and not caught I believe some
assumptions might exist in the code which are different in other operating systems besides win32. A lib behaving slightly different? A wrong adress
returned? Should investigate.

#2 - 11/02/2011 09:15 am - kervala

No, it should crash also under Windows :) That's related to changes within Lua 5.1 because official Ryzom client is still using Lua 5.0 :(

#3 - 11/03/2011 12:09 am - arc

Ah, okay. The other issues still persist though.

#4 - 11/05/2011 11:18 am - kervala

Edit: Oops, I didn't check the last date :( Sorry.

#5 - 05/10/2012 03:07 pm - sfb
- Assignee set to sfb
- Target version set to Version 0.9.0

Looks like we fixed some warnings and cleaned up some returns by converting them to const references. The Lua reflection code lacks the capability
to do this.

#6 - 05/10/2012 03:08 pm - sfb

Just some notes... here's the error in Visual Studio.

http://pastebin.com/UeprsSXG
http://pastebin.com/dftdKuXn
http://pastebin.com/k5NmSywE
http://pastebin.com/r6A62Xbh
#7 - 06/14/2012 03:12 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:159e0b7fc552.

#8 - 07/07/2012 11:28 pm - Tessia

Hello.The think continues. This time it doesn't write any warnings just terminates all processes that run under game-client when you want to go to
scenery mode on Ubuntu 11.04.

Thanks for looking at it.

#9 - 07/09/2012 11:45 pm - kervala

Are you connecting to official Ring shard ? Because it has been closed, so it's impossible to connect to :(

#10 - 09/24/2012 04:11 pm - kervala
- Status changed from Resolved to Closed

#11 - 09/30/2012 11:37 pm - arc

Does Closed mean the ring is working again?

#12 - 09/30/2012 11:44 pm - kervala

No it means that the client doesn't crash anymore when accessing to the Ring :p

And there is a Ring server on the open shard hosted by sfb.
